Index: addons/chan_mobile.c
===================================================================
--- addons/chan_mobile.c	(revision 223910)
+++ addons/chan_mobile.c	(working copy)
@@ -406,6 +406,7 @@
 	AT_CMGR,
 	AT_SMS_PROMPT,
 	AT_CMS_ERROR,
+	AT_BSIR,
 	/* at commands */
 	AT_A,
 	AT_D,
@@ -1885,6 +1886,8 @@
 		return AT_VGS;
 	} else if (at_match_prefix(buf, "+CUSD:")) {
 		return AT_CUSD;
+	} else if (at_match_prefix(buf, "+BSIR:")) {
+		return AT_BSIR;
 	} else {
 		return AT_UNKNOWN;
 	}
@@ -1929,6 +1932,8 @@
 		return "SMS PROMPT";
 	case AT_CMS_ERROR:
 		return "+CMS ERROR";
+	case AT_BSIR:
+		return "AT+BSIR";
 	/* at commands */
 	case AT_A:
 		return "ATA";
@@ -3677,6 +3682,9 @@
 			}
 			ast_mutex_unlock(&pvt->lock);
 			break;
+		case AT_BSIR:
+			ast_debug(1, "[%s] ignoring +BSIR message: %s\n", pvt->id, buf);
+			break;
 		case AT_UNKNOWN:
 			ast_debug(1, "[%s] ignoring unknown message: %s\n", pvt->id, buf);
 			break;
